org.fourthline.cling.support.avtransport.lastchange

## Class AVTransportVariable.PossibleRecordQualityModes

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<E[]>
  - - org.fourthline.cling.support.lastchange.EventedValueEnumArray<RecordQualityMode>
    - - org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable.PossibleRecordQualityModes

- Enclosing class:
    AVTransportVariable

      public static class AVTransportVariable.PossibleRecordQualityModes
      extends EventedValueEnumArray<RecordQualityMode>

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PossibleRecordQualityModes(Map.Entry<String,String>[] attributes)`
    `PossibleRecordQualityModes(RecordQualityMode[] e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RecordQualityMode[]` | `enumValueOf(String[] names)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValueEnumArray

      `getDatatype, toString, valueOf`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getAttributes, getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PossibleRecordQualityModes

          public PossibleRecordQualityModes(RecordQualityMode[] e)

    - #### PossibleRecordQualityModes

          public PossibleRecordQualityModes(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### enumValueOf

          protected RecordQualityMode[] enumValueOf(String[] names)

      Specified by:
        `enumValueOf` in class `EventedValueEnumArray<RecordQualityMode>`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.